local ASC_Frame = CreateFrame("Frame");
local ASC_Events = {}

function ASC_Events:COMBAT_LOG_EVENT_UNFILTERED(...)
  local _, eventType, _, sourceGUID,
      sourceName, _, _, destGUID,
      destName, _, _, spellId,
      spellName, _, auraType, _,
      _,isCrit,_ = CombatLogGetCurrentEventInfo();
  if(eventType == "SWING_DAMAGE") then
    if(isCrit) then
      DoEmote("STAND");
    end
  end
end

ASC_Frame:SetScript("OnEvent", function(self, event, ...)
 ASC_Events[event](self, ...);
end);
for k, v in pairs(ASC_Events) do
 ASC_Frame:RegisterEvent(k);
end
